stri_read_raw {stringi} | R Documentation

## [DRAFT API] Read Whole Text File as Raw

### Description

Reads a text file as-is, with no conversion or text line splitting.

[THIS IS AN EXPERIMENTAL FUNCTION]

### Usage

    stri_read_raw(fname)

### Arguments

`fname` | file name

### Details

Once a text file is read into memory, encoding detection (see `stri_enc_detect2`), conversion (see `stri_encode`), text lines split (see `stri_split_lines1`) can be performed.

### Value

Returns a `raw`-type vector.

### See Also

Other files: `stri_read_lines`, `stri_write_lines`

[Package stringi version 1.4.3 Index]